%% Copyright 2022 I. V. Omar
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3
% of this license or (at your option) any later version.
% The latest version of this license is in
%   http://www.latex-project.org/lppl.txt
% and version 1.3 or later is part of all distributions of LaTeX
% version 2005/12/01 or later.
%
% This work has the LPPL maintenance status `maintained'.
% 
% The Current Maintainer of this work is I. V. Omar.
%
% This work consists of all the files included in the folders:
% A. Frontmatter, B. Mainmatter, C. Backmatter, D. Figure; 
% and of the files main.tex and Tesi_TorVergata.cls


# Template Tesi - Facoltà di Economia, Università degli Studi di Roma "Tor Vergata"

---

Questo è un template per la scrittura di una tesi di studenti iscritti alla Facoltà di Economia all'Università degli Studi di Roma "Tor Vergata".
In particolare è stata creata una document class apposita: Tesi_TorVergata.cls.
Le impostazioni predefinite di questo template sono state realizzate
seguendo le istruzioni fornite dall’Università:
- margini (sotto:3cm; sopra:3cm; destro:2.5cm; sinistro:3cm;)
- interlinea 1.5
- font 12, New Times Roman

## Struttura

---

La struttura di questa document class è composta principalmente da tre parti:
- Frontmatter
- Mainmatter
- Backmatter

### Frontmatter

---

All’interno del comando \Frontmatter nel "main.tex" sono definiti:
- Frontespizio
- Ringraziamenti
Pertanto, nella cartella A. Frontmatter sono inclusi i seguenti file:
- "frontespizio.tex, dove è necessario compilare i campi presenti (es. \studente{} e scrivere all’interno delle parentesi graffe il proprio nome e cognome), dato che la formattazione dell’intera pagina è già impostata secondo le indicazioni dell’università.
- "ringraziamenti.tex", dove bisogna solamente scrivere i propri ringraziamenti e dediche, LATEX provvederà a posizionare il testo con un allineamento a sinistra e in corsivo. Nel caso in cui non si volesse scrivere alcuna dedica, lasciare il file vuoto.

### Mainmatter

---

All’interno del comando \Mainmatter nel "main.tex" è definito soltanto:
- Introduzione
Dato che per aggiungere i vari capitoli, sarà necessario farlo manualmente. La procedura consiste nel creare un nuovo file .tex (es. nuovocapitolo.tex) e inserirlo all’interno della cartella B. Mainmatter, dopodiché bisognerà scrivere nel "main.tex" sotto \Mainmatter questo: \input{B. Mainmatter/nuovocapitolo.tex}. Ed anche la conclusione segue lo stesso procedimento, se pur già effettuato. 
Solamente per introduzione e conclusione bisognerà scrivere il testo, senza la necessità di ulteriori comandi (l’unico necessario è già stato inserito all’inizio del file). Mentre per gli altri capitoli bisognerà dapprima scrivere \chapter{nome del capitolo} e poi il testo, inserendo dove ritenuto utile \section{}, \subsection{} e \subsubsection{}.

### Backmatter

---

All’interno del comando \Backmatter nel "main.tex" è definita la:
- Bibliografia
Bibliografia Il pacchetto utilizzato per la bibliografia è natbib, con lo stile di citazione authoryear e lo stile per l’elencazione dei riferimenti è erae, dato che questi stile corrispondono agli esempi di bibliografia forniti dall’università.
Per poter inserire riferimenti bibliografici sarà necessario inserire all’interno del file "bibliografia.bib" la citazione in stile BibTeX. Mentre per citare il riferimento bibliografico due sono i comandi principali:
- \citet{} o \cite{}, questo inserisce la citazione a testo: Parisi et al. (2006).
- \citep{}. questo inserisce la citazione tra parantesi: (Parisi et al., 2006)
Inoltre, sotto \appendix è inserito \input{C. Backmatter/appendice}, il quale permette di aggiungere alla propria tesi delle appendici. Infatti all’interno del file "appendice.tex" inserito nella cartella C. Backmatter sarà possibile aggiungere delle nuovi appendici. Nel caso in cui esse si vogliano eliminare, basta eliminare nel "main.tex" \input{C. Backmatter/appendice} oppure lasciare vuoto il file "appendice.tex".

## Opzioni

---

Le opzioni che sono state create per questa document class (Tesi_TorVergata) sono le seguenti:
- oneside (default) - stampa solo fronte, per cui i margini sono simmetrici
- twoside - stampa fronte retro, per cui i margini sono asimmetrici

- openany (default nell'opzione oneside) - inizio capitolo nella pagina seguente (pagina pari o dispari)
- openright (default nell'opzione twoside) - inizio capitolo sempre a destra (pagina dispari)

- indent (defualt) - indentazione ad inizio paragarafo
- noindent - no indentazione ad inizio paragrafo

- noheadline (default) - no linea nell'intestazione
- headline - linea nell'intestazione (1pt)

- nofootline (default) - no linea nel pié di pagina
- footline - linea nel pié di pagina (1pt)

- noefigure (default) - assenza dell'elenco delle figure
- efigure - aggiunta dell'elenco delle figure dopo l'indice e prima dell'introduzione

- noetabelle (defualt) - assenza dell'elenco delle tabelle
- efigure - aggiunta dell'elenco delle tabelle dopo l'indice e prima dell'introduzione

- nointest (default) - assenza del frontespizio
- intest - aggiunta del frontespizio.

Alcune di queste opzioni sono di default, per cui non specificando nulla esse saranno attive.

## Pacchetti

---

Nella costruzione di questo template sono già stati scaricati alcuni pacchetti, all’interno del cls file (Tesi_TorVergata.cls). 
A seguire una lista con i relativi link per la documentazione:
- babel https://ctan.ijs.si/tex-archive/macros/latex/required/babel/base/babel.pdf
- newtxtext e newtxmath https://ctan.ijs.si/tex-archive/fonts/newtx/doc/newtxdoc.pdf
- fancyhdr https://ctan.ijs.si/tex-archive/macros/latex/contrib/fancyhdr/fancyhdr.pdf
- setspace
- amsmath https://ctan.mirror.garr.it/mirrors/ctan/macros/latex/required/amsmath/amsldoc.pdf
- graphicx https://ctan.ijs.si/tex-archive/macros/latex/required/graphics/grfguide.pdf
- pgfplots https://ctan.ijs.si/tex-archive/graphics/pgf/contrib/pgfplots/doc/pgfplots.pdf
- titlesec https://ctan.ijs.si/tex-archive/macros/latex/contrib/titlesec/titlesec.pdf
- hyperref https://ctan.mirror.garr.it/mirrors/ctan/macros/latex/contrib/hyperref/doc/hyperref-doc.pdf
- natbib https://ctan.ijs.si/tex-archive/macros/latex/contrib/natbib/natbib.pdf
- geometry https://ctan.ijs.si/tex-archive/macros/latex/contrib/geometry/geometry.pdf

Per aggiungere altri pacchetti è sufficiente scrivere \usepackage[opzioni]{nome del pacchetto} all’interno del file "pacchetti.tex".


